# Generated by Django 3.2.5 on 2021-07-26 18:06

import ckeditor_uploader.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import easy_thumbnails.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ImageObject',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30, verbose_name='Title')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(verbose_name='Description')),
                ('date', models.DateTimeField(default=django.utils.timezone.now, help_text='Date', verbose_name='Date')),
                ('status', models.CharField(choices=[('DRAFT', 'Draft'), ('REVIEW', 'Review'), ('ACTIVE', 'Active'), ('DELETED', 'Deleted'), ('REFUSED', 'Refused')], default='ACTIVE', max_length=30)),
                ('tags', models.CharField(max_length=100, verbose_name='Tags, "," delimiter')),
                ('user', models.ForeignKey(help_text='Author', on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL, verbose_name='Author')),
            ],
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30, verbose_name='Title image')),
                ('image', easy_thumbnails.fields.ThumbnailerImageField(blank=True, upload_to='image_objects/images/%Y/%m/%d/', verbose_name='image')),
                ('uploaded_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(choices=[('DRAFT', 'Draft'), ('REVIEW', 'Review'), ('ACTIVE', 'Active'), ('DELETED', 'Deleted'), ('REFUSED', 'Refused')], default='ACTIVE', max_length=30)),
                ('tag', models.CharField(default='tag', max_length=20, verbose_name='Tag')),
                ('order', models.IntegerField(default=1, verbose_name='Ordering priority')),
                ('image_object', models.ForeignKey(help_text='Choise object for image', on_delete=django.db.models.deletion.PROTECT, related_name='images', to='image_objects.imageobject', verbose_name='Image object')),
            ],
        ),
    ]
